summaryrefslogtreecommitdiffstats
path: root/source/a/eject/eject.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/eject/eject.SlackBuild')
-rwxr-xr-xsource/a/eject/eject.SlackBuild7
1 files changed, 5 insertions, 2 deletions
diff --git a/source/a/eject/eject.SlackBuild b/source/a/eject/eject.SlackBuild
index c637ef553..94b0ccf76 100755
--- a/source/a/eject/eject.SlackBuild
+++ b/source/a/eject/eject.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2008, 2009, 2010, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
PKGNAM=eject
VERSION=${VERSION:-2.1.5}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -59,6 +59,9 @@ cd ${PKGNAM}
# Patch a problem with spaces in the pathname:
zcat $CWD/eject.spaces.diff.gz | patch -p0 --verbose || exit 1
+# Fix "eject -T":
+zcat $CWD/eject_for_mac.patch.gz | patch -p4 --verbose || exit 1
+
# Make sure ownerships and permissions are sane:
chown -R root:root .
find . \